org.bdgenomics.adam.instrumentation

# Timers

#### object Timers extends Metrics

Contains Timers that are used to instrument ADAM.

Linear Supertypes
Metrics, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Timers
2. Metrics
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val BAMLoad: Timer

7. #### val BQSRInDriver: Timer

8. #### val BuildingTrees: Timer

9. #### val ComputeCovariates: Timer

10. #### val ComputeQualityScore: Timer

11. #### val ConvertToSAM: Timer

12. #### val ConvertToSAMRecord: Timer

13. #### val CreateIndelRealignmentTargets: Timer

14. #### val CreateKnownSnpsTable: Timer

15. #### val CreateReferencePositionPair: Timer

16. #### val FindTargets: Timer

17. #### val GetExtraValues: Timer

18. #### val GetReferenceFromReads: Timer

19. #### val GrowingTrees: Timer

20. #### val JoinTargets: Timer

21. #### val LoadAlignmentRecords: Timer

22. #### val LoadFragments: Timer

23. #### val MapTargets: Timer

24. #### val MarkDuplicatesInDriver: Timer

25. #### val MarkReads: Timer

26. #### val ObservationAccumulatorComb: Timer

27. #### val ObservationAccumulatorSeq: Timer

28. #### val ParquetLoad: Timer

29. #### val PerformDuplicateMarking: Timer

30. #### val RealignIndelsInDriver: Timer

31. #### val RealignTargetGroup: Timer

32. #### val RecalibrateRead: Timer

33. #### val RunningMapSideJoin: Timer

34. #### val SAMSave: Timer

35. #### val SaveAsADAM: Timer

36. #### val ScoreAndMarkReads: Timer

37. #### val SortByIndex: Timer

38. #### val SortReads: Timer

39. #### val SortTargets: Timer

40. #### val SortingRightSide: Timer

41. #### val SweepReadOverReferenceForQuality: Timer

42. #### val TreeJoin: Timer

43. #### val TrimCigar: Timer

44. #### val TrimLowQualityInDriver: Timer

45. #### val TrimMDTag: Timer

46. #### val TrimRead: Timer

47. #### val TrimReadsInDriver: Timer

48. #### val WriteADAMRecord: Timer

49. #### val WriteBAMRecord: Timer

50. #### val WriteCRAMRecord: Timer

51. #### val WriteSAMRecord: Timer

52. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

53. #### val clock: Clock

    Definition Classes
      Metrics

54. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

56. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

57. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

58. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

59. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

60. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

61. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

62. #### final def notify(): Unit

    Definition Classes
      AnyRef

63. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

64. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

65. #### def timer(name: String): Timer

    Definition Classes
      Metrics

66. #### def toString(): String

    Definition Classes
      AnyRef → Any

67. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

68. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

69. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Metrics

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped